import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.ensemble import AdaBoostClassifier

D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:4]
y = D[:,4]

# Separamos los datos en datos de entrenamiento y datos de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=4 )

clasificador = AdaBoostClassifier(n_estimators=50, random_state=0)
clasificador.fit( X_entrena, y_entrena )

s = clasificador.score( X_entrena, y_entrena )
print( "Entrenamiento:", s )

s = clasificador.score( X_prueba, y_prueba )
print( "Prueba:", s )

