import numpy as np
from sklearn.model_selection import train_test_split
from sklearn.linear_model import LogisticRegression
from sklearn.naive_bayes import GaussianNB
from sklearn.ensemble import RandomForestClassifier, VotingClassifier




D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:4]
y = D[:,4]

# Separamos los datos en datos de entrenamiento y datos de prueba
X_entrena, X_prueba, y_entrena, y_prueba = train_test_split( X, y, random_state=4 )


clf1 = LogisticRegression( random_state=1)
clf2 = RandomForestClassifier(n_estimators=50, random_state=1)
clf3 = GaussianNB()
clasificador = VotingClassifier(estimators=[
         ('lr', clf1), ('rf', clf2), ('gnb', clf3)], voting='hard')

clasificador.fit( X_entrena, y_entrena )

s = clasificador.score( X_entrena, y_entrena )
print( "Entrenamiento:", s )

s = clasificador.score( X_prueba, y_prueba )
print( "Prueba:", s )

